#ifndef __TEST_ABILITY_H__
#define __TEST_ABILITY_H__

#include <adventure-pack/ap-ability.h>

#include <glib.h>

G_BEGIN_DECLS

typedef struct {
    APAbility *ability;
} AbilityFixture;

void
ability_fixture_set_up (AbilityFixture *fixture,
                        gconstpointer   user_data);

void
ability_fixture_tear_down (AbilityFixture *fixture,
                           gconstpointer   user_data);

void
test_ability_name (AbilityFixture *fixture,
                   gconstpointer   user_data);

void
test_ability_score (AbilityFixture *fixture,
                    gconstpointer   user_data);

void
test_ability_score_with_bonus (AbilityFixture *fixture,
                               gconstpointer   user_data);

void
test_ability_modifier (AbilityFixture *fixture,
                       gconstpointer   user_data);

void
test_ability_signal_score_changed (AbilityFixture *fixture,
                                   gconstpointer   user_data);

void
test_ability_signal_modifier_changed (AbilityFixture *fixture,
                                      gconstpointer   user_data);

G_END_DECLS

#endif /* __TEST_ABILITY_H__ */
